package org.spagic3.ui.deploymentservice.helpers;

import java.io.InputStreamReader;

import org.eclipse.core.resources.IFile;
import org.jbpm.graph.def.ProcessDefinition;
import org.jbpm.jpdl.xml.JpdlXmlReader;
import org.xml.sax.InputSource;

public class JPDLValidator {
	
	private IFile file = null;
	private boolean errors = false;
	private StringBuffer errorMessages = null;
	
	public StringBuffer getErrorMessages() {
		return errorMessages;
	}

	public void setErrorMessages(StringBuffer errorMessages) {
		this.errorMessages = errorMessages;
	}

	public IFile getFile() {
		return file;
	}

	public void setFile(IFile file) {
		this.file = file;
	}

	public boolean isErrors() {
		return errors;
	}

	public void setErrors(boolean errors) {
		this.errors = errors;
	}

	
	
	public JPDLValidator(IFile jpdlFile){
		this.file = jpdlFile;
		errors = false;
		errorMessages = new StringBuffer();
	}
	
	public void validate(){
		
		JpdlXmlReader jpRead = null;
		try{
			InputStreamReader isReader = new InputStreamReader(file.getContents());

			
			jpRead = new JpdlXmlReader(new InputSource(isReader), new JPDLProblemListener(this));
			ProcessDefinition def = jpRead.readProcessDefinition();

			
		}catch (Exception e) {
			errors = true;
			//errorMessages.append(e.getMessage()+ "\n");
		}
	}
	
}
